create table if not exists asiakkaat (
    id INTEGER PRIMARY KEY,
    nimi varchar(255) not null,
    osoite varchar(255) not null,
    maanantaiKpl int not null,
    tiistaiKpl int not null,
    keskiviikkoKpl int not null,
    torstaiKpl int not null,
    perjantaiKpl int not null,
    salaatit int not null,
    pääruoat int not null,
    jälkiruoat int not null,
    erityisruokavalio varchar(255),
    avainTieto varchar(255),
    lisätiedot text
);

create table if not exists kierrokset (
    id INTEGER PRIMARY KEY,
    kierrosNumero int not null,
    asiakkaat text not null
);

create table if not exists kuljetukset (
    id INTEGER PRIMARY KEY,
    asiakasID int not null,
    nimi varchar(255) not null,
    kuljetusPäivämäärä DATE not null,
    kuljetusKierros int not null,
    salaatit int not null,
    pääruoat int not null,
    jälkiruoat int not null,
    ruokarajoite varchar(255),
    osoite varchar(255),
    avainTieto varchar(255),
    lisätieto varchar(255)
);

create index if not exists idx_kuljetuspvm on kuljetukset(kuljetusPäivämäärä);